server:
  port: 8080
  servlet:
    context-path: /api

logging:
  level:
    ROOT: INFO
    org.springframework: INFO

spring:
  application:
    name: game-app
  jackson:
    date-format: com.fasterxml.jackson.databind.util.ISO8601DateFormat
  jpa:
    hibernate:
      ddl-auto: update
      use-new-id-generator-mappings: true
    database-platform: org.hibernate.dialect.PostgreSQLDialect
  datasource:
    url: jdbc:postgresql://${DB_HOSTNAME}:${DB_PORT}/${DB_DATABASE}
    username: ${DB_USER}
    password: ${DB_PSWD}
  liquibase:
    enabled: false
    change-log: "classpath:db/changelog/db.changelog-master.yaml"

springdoc:
  swagger-ui:
    path: '/swagger-ui'
    operations-sorter: method
    doc-expansion: none
    disable-swagger-default-url: true

jwt:
  secret: bd8f4490-d74b-4881-9f67-644b427cc5ac
  access-token:
    expirationMs: 1800000 # 30 минут
  refresh-token:
    expirationMs: 86400000 # 24 часа

rlt-bot:
  bot-name: roseltorggamebot
  token: 6121589665:AAGByC5tnTDgkDKU1rjKN7JHSTVjIYdEhnc
  api-path: https:/rlthack.team418.ru
  first-article: /article_1

bonuses:
  register: 100

cost:
  plantTree: 50